curl --location --request POST 'https://cool.jobmojito.com/functions/v1/pre-screening-create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"position_name": "executive senior project manager",
"position_location": "remote",
"mojito_language_code": "en",
"position_location": "remote",
"candidate_resume": "I was working as a cleaner in multiple establishments like hotels, restaurants",
"position_country_code": "SK",
"visibility": "merchant_invite",
"form_fields": [
{
"id": "form_education",
"mandatory": true
},
{
"id": "form_age",
"mandatory": true
},
{
"id": "form_nationality",
"mandatory": true
},
{
"id": "custom_1772004521633",
"mandatory": "true",
"title": "Marital Status"
}
],
"status": "active",
"assessment_rules": [
{
"id": "resume_match",
"resume_score_accept": 7,
"resume_score_reject": 2
},
{
"id": "resume_technical_experience",
"action": "mark_for_review",
"technical_experience_years": 3
},
{
"id": "resume_education",
"action": "mark_for_review",
"education": "bachelors"
},
{
"id": "form_languages",
"type": "screening",
"action": "mark_for_review",
"languages": [
{
"code": "ar",
"level": "intermediate"
},
{
"code": "nl",
"level": "fluent"
}
]
},
{
"id": "form_residency",
"type": "screening",
"action": "mark_for_review",
"country": [
"AL",
"AS",
"AO",
"AQ"
]
},
{
"id": "form_nationality",
"type": "screening",
"action": "mark_for_review",
"country": [
"DZ",
"AD"
],
"country_eu": true
}
]
}'